Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1253059 - Add support for rpm Recommends, patch included
Summary: Add support for rpm Recommends, patch included
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rpmfluff
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Hutař
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-12 20:48 UTC by Mairi Dulaney
Modified: 2016-03-25 22:23 UTC (History)
2 users (show)

Fixed In Version: python-rpmfluff-0.4.3-1.fc23 python-rpmfluff-0.4.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-12 18:43:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
0001-Add-support-for-recommends.patch (deleted)
2015-08-12 20:48 UTC, Mairi Dulaney
no flags Details
0002-Add-remaining-weak-dependencies.patch (deleted)
2015-08-13 15:49 UTC, Mairi Dulaney
no flags Details | Diff

Description Mairi Dulaney 2015-08-12 20:48:46 UTC
Created attachment 1062218 [details]
0001-Add-support-for-recommends.patch

First of a couple of patches to add support to rpmfluff for several new features in RPM.

Comment 1 Mairi Dulaney 2015-08-13 15:49:04 UTC
Created attachment 1062699 [details]
0002-Add-remaining-weak-dependencies.patch

Second patch adds remaining weak dependencies.

Comment 2 Jan Hutař 2015-08-19 08:10:40 UTC
This is great! I'll look into this today in the evening. Do you want new versinn released with this?

Comment 3 Mairi Dulaney 2015-08-19 15:34:22 UTC
Yes, if you please.  I think we'll need it for F21+, if possible.

Thanks kindly!

John.

PS.  Once the rich deps stuff gets a little more resolved, I'll add support for that, as well.

Comment 4 Jan Hutař 2015-08-19 23:11:51 UTC
Thanks for patches. I have fixed one small issue. It is comited and wiki updated.

  https://fedorahosted.org/rpmfluff/

Is this really supported in F21? Also I do not if recent changes regarding python3 will work on F21. I'll try it tomorrow.

Thanks again!

Comment 5 Mairi Dulaney 2015-08-20 00:38:17 UTC
I guess this would be F22+, wouldn't it?  My bad.

Thanks for the merge.

Comment 6 Fedora Update System 2015-08-20 10:12:16 UTC
python-rpmfluff-0.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1253059

Comment 7 Fedora Update System 2015-08-20 11:15:31 UTC
python-rpmfluff-0.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1253059

Comment 8 Fedora Update System 2015-08-20 19:21:30 UTC
python-rpmfluff-0.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/F23/FEDORA-2015-13818

Comment 9 Fedora Update System 2015-08-22 02:51:30 UTC
python-rpmfluff-0.4.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13811

Comment 10 Fedora Update System 2015-09-04 07:30:05 UTC
python-rpmfluff-0.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14935

Comment 11 Fedora Update System 2015-09-04 07:34:09 UTC
python-rpmfluff-0.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rpmfluff'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14936

Comment 12 Jan Kurik 2016-02-24 15:36:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 13 Mairi Dulaney 2016-03-12 18:43:46 UTC
Closing as this is taken care of.

Comment 14 Fedora Update System 2016-03-25 01:27:31 UTC
python-rpmfluff-0.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-03-25 22:23:54 UTC
python-rpmfluff-0.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.